Bug 791 - crash in convert_string
crash in convert_string
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0
All Linux
: P3 critical
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-18 20:49 UTC by Vadim
Modified: 2005-11-14 09:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vadim 2003-11-18 20:49:06 UTC
Linux 2.4.22 (debian unstable)
libc6 2.3.2
Samba 3.0.0 as PDC (from debian package)
Clients - win2k(rus, with SP3rus), win98SE(rus)
Sometimes clients lose connection with a server.
********************************
My smb.conf:

[global]
        workgroup = KRASRM
        netbios name = SERVER2
        server string = Mega Server
        log file = /var/log/samba/log.%m
        max log size = 100000
        time server = Yes
        load printers = No
        add user script = /usr/sbin/useradd -g 100 -d /home/%u -s /bin/false -m 
%u
        delete user script = /usr/sbin/userdel %u
        add group script = /usr/sbin/groupadd %g
        delete group script = /usr/sbin/groupdel %g
        add user to group script = /usr/sbin/adduser %u %g
        delete user from group script = /usr/sbin/deluser %u %g
        set primary group script = /usr/sbin/usermod -g %g %u
        add machine script = /usr/sbin/useradd -g 110 -d /dev/null -s /bin/false 
-M %u
        logon script = all.bat
        logon path =
        logon home =
        domain logons = Yes
        os level = 255
        preferred master = Yes
        domain master = Yes
        admin users = vadim, ozol
        map acl inherit = Yes

[projects]
        comment = Project disk
        path = /mnt/disk1
        read only = No
        create mask = 0666
        directory mask = 0777

[netlogon]
        path = /etc/samba/netlogon
        browseable = No

******************************************
Logs:

[2003/11/19 10:36:06, 1] smbd/service.c:make_connection_snum(698)
  design2 (192.168.1.220) connect to service projects initially as user kd 
(uid=1009, gid=100) (pid 21975)
[2003/11/19 10:39:25, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2003/11/19 10:39:25, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 21975 (3.0.0-Debian)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/11/19 10:39:25, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2003/11/19 10:39:25, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2003/11/19 10:39:25, 0] lib/util.c:smb_panic(1407)
  BACKTRACE: 20 stack frames:
   #0 /usr/sbin/smbd(smb_panic+0x101) [0x81bcf41]
   #1 /usr/sbin/smbd [0x81ab587]
   #2 /lib/libc.so.6 [0x401d8498]
   #3 /lib/libc.so.6 [0x402214df]
   #4 /lib/libc.so.6(__libc_realloc+0x100) [0x40220020]
   #5 /usr/sbin/smbd(Realloc+0x26) [0x81bc096]
   #6 /usr/sbin/smbd(convert_string_allocate+0x402) [0x81a9342]
   #7 /usr/sbin/smbd(push_ucs2_allocate+0x48) [0x81a9bf8]
   #8 /usr/sbin/smbd(StrCaseCmp+0xa0) [0x81b4380]
   #9 /usr/sbin/smbd [0x80a9d83]
   #10 /usr/sbin/smbd [0x80aa1b6]
   #11 /usr/sbin/smbd [0x80abbbb]
   #12 /usr/sbin/smbd(reply_trans2+0x619) [0x80b32c9]
   #13 /usr/sbin/smbd [0x80c6b1a]
   #14 /usr/sbin/smbd [0x80c6d80]
   #15 /usr/sbin/smbd(process_smb+0x8c) [0x80c6f8c]
   #16 /usr/sbin/smbd(smbd_process+0x168) [0x80c7bf8]
   #17 /usr/sbin/smbd(main+0x4bc) [0x8224d7c]
   #18 /lib/libc.so.6(__libc_start_main+0xc6) [0x401c4da6]
   #19 /usr/sbin/smbd(chroot+0x35) [0x8076ba1]
[2003/11/19 10:39:25, 1] smbd/service.c:make_connection_snum(698)
  design2 (192.168.1.220) connect to service projects initially as user kd 
(uid=1009, gid=100) (pid 22021)
[2003/11/19 10:39:27, 1] smbd/service.c:make_connection_snum(698)
  design2 (192.168.1.220) connect to service projects initially as user kd 
(uid=1009, gid=100) (pid 22021)
**********************************************

If at this time clients address to a server connection is lost.
Helps only the remapping a drive.
Comment 1 Gerald (Jerry) Carter 2004-03-12 08:24:05 UTC
Should be fixed in 3.0.2a
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:20:57 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:24:28 UTC
database cleanup